aboutsummaryrefslogtreecommitdiff
path: root/x11/XFree86-aoutlibs/pkg-req
diff options
context:
space:
mode:
authorJeremy Lea <reg@FreeBSD.org>2000-03-07 09:59:03 +0000
committerJeremy Lea <reg@FreeBSD.org>2000-03-07 09:59:03 +0000
commit66b16a684aa45d51389a962bd2f4d30e0b79262a (patch)
tree8618e0fd471607ea3df118bdaeae8aed4c4e26f2 /x11/XFree86-aoutlibs/pkg-req
parent7443c35004adca6148e2d325e8e02b04c507f44f (diff)
Notes
Diffstat (limited to 'x11/XFree86-aoutlibs/pkg-req')
-rw-r--r--x11/XFree86-aoutlibs/pkg-req21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/XFree86-aoutlibs/pkg-req b/x11/XFree86-aoutlibs/pkg-req
new file mode 100644
index 000000000000..a337c2fc9e53
--- /dev/null
+++ b/x11/XFree86-aoutlibs/pkg-req
@@ -0,0 +1,21 @@
+#!/bin/sh
+env=/usr/bin/env
+fgrep=/usr/bin/fgrep
+ldconfig=/sbin/ldconfig
+if [ x$2 = xINSTALL -a x$ARCH = xi386 ]; then
+ $env OBJFORMAT=aout $ldconfig -r | $fgrep -q -e '-lc.3'
+ if [ $? -ne 0 ]; then
+ cat <<END
+*********************************************************************
+
+ There do not appear to be any a.out libraries on this
+ machine. Please install the compat22 distribution (via
+ /stand/sysinstall) or build it as part of your 'make world'
+ (see /etc/make.conf).
+
+*********************************************************************
+END
+ exit 1
+ fi
+fi
+exit 0;